summaryrefslogtreecommitdiff
path: root/usbmon-setperms
diff options
context:
space:
mode:
Diffstat (limited to 'usbmon-setperms')
-rwxr-xr-xusbmon-setperms28
1 files changed, 28 insertions, 0 deletions
diff --git a/usbmon-setperms b/usbmon-setperms
new file mode 100755
index 0000000..d2cc893
--- /dev/null
+++ b/usbmon-setperms
@@ -0,0 +1,28 @@
+#!/bin/sh
+# helper for allowing the developer to read usbmon as non-root.
+
+if [ "$USER" = "root" ]; then
+ echo "Please run as regular user or set USER"
+ exit 1
+fi
+
+if [ ! -e /dev/usbmon0 ]; then
+ echo "Attempting to modprobe usbmon..."
+ sudo modprobe -v usbmon
+ if [ ! -e /dev/usbmon0 ]; then
+ echo "Cannot locate 'usbmon' kernel module"
+ exit 1
+ fi
+fi
+
+usbmons=$(lsusb -d046d: | cut -c7 | sed 's,^,/dev/usbmon,')
+
+echo Found devices: $usbmons
+
+if [ -n "$usbmons" ]; then
+ echo "Attempting to change permissions..."
+ sudo chgrp -v $USER $usbmons
+ sudo chmod -v g+rw $usbmons
+else
+ echo "No devices found"
+fi